public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-misc/jupyterlab-desktop/
@ 2021-11-16  9:09 Andrew Ammerlaan
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-11-16  9:09 UTC (permalink / raw
  To: gentoo-commits

commit:     38be72661b9eac88ce248fb51d0af4a4bf7f9502
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 16 08:37:24 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Nov 16 09:09:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38be7266

sci-misc/jupyterlab-desktop: add package

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-misc/jupyterlab-desktop/Manifest               |  1 +
 .../jupyterlab-desktop-3.2.3.1.ebuild              | 65 ++++++++++++++++++++++
 sci-misc/jupyterlab-desktop/metadata.xml           | 12 ++++
 3 files changed, 78 insertions(+)

diff --git a/sci-misc/jupyterlab-desktop/Manifest b/sci-misc/jupyterlab-desktop/Manifest
new file mode 100644
index 000000000000..efabb6bc2ac6
--- /dev/null
+++ b/sci-misc/jupyterlab-desktop/Manifest
@@ -0,0 +1 @@
+DIST jupyterlab-desktop-3.2.3.1.rpm 252370944 BLAKE2B 1f62fab27146a06f58464da19c6184eeeb4d358f41ba2fcad56caeb712016aad3c09ced5b993811ccb6095b7ecc3105635698429c3f8065d83205d5948abdc58 SHA512 ab2e0a167d52122f8b3933007b08f117b6ce13203b995c084f4ab3b56adbc04e38aae81d0862a9a0b2935b643ab407cf9ff2cc0f92ad69178d585590d40ad63a

diff --git a/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.3.1.ebuild b/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.3.1.ebuild
new file mode 100644
index 000000000000..15ce362a0939
--- /dev/null
+++ b/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.3.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit rpm xdg
+
+DESCRIPTION="JupyterLab desktop application, based on Electron"
+HOMEPAGE="https://jupyter.org/"
+SRC_URI="https://github.com/jupyterlab/${PN}/releases/download/v$(ver_rs 3 -)/JupyterLab-Setup-Fedora.rpm -> ${P}.rpm"
+
+KEYWORDS="-* ~amd64"
+LICENSE="BSD MIT"
+SLOT="0"
+
+RDEPEND="
+	app-accessibility/at-spi2-atk
+	app-accessibility/at-spi2-core
+	dev-libs/atk
+	dev-libs/expat
+	dev-libs/glib
+	dev-libs/nspr
+	dev-libs/nss
+	dev-python/jupyterlab
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libxkbcommon
+	x11-libs/libXrandr
+	x11-libs/libxshmfence
+	x11-libs/pango
+"
+
+QA_PREBUILT="/opt/JupyterLab/*"
+
+S="${WORKDIR}"
+
+src_install() {
+	# remove files useless for Gentoo
+	rm -r usr/lib || die
+	mv "${S}"/* "${ED}" || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	elog ""
+	elog "On initial startup you will be prompted to select the python environment of"
+	elog "your choice. Either select a specific python version, e.g. /usr/bin/pythonX.Y,"
+	elog "or choose /usr/bin/python to follow the system wide setting in"
+	elog "/etc/python-exec/python-exec.conf."
+	elog "Please note that only python environments corresponding to the enabled"
+	elog "PYTHON_TARGETS on dev-python/jupyterlab will work."
+	elog ""
+}

diff --git a/sci-misc/jupyterlab-desktop/metadata.xml b/sci-misc/jupyterlab-desktop/metadata.xml
new file mode 100644
index 000000000000..af73f75812c1
--- /dev/null
+++ b/sci-misc/jupyterlab-desktop/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<upstream>
+		<remote-id type="github">jupyterlab/jupyterlab-desktop</remote-id>
+		<bugs-to>https://github.com/jupyterlab/jupyterlab-desktop/issues</bugs-to>
+	</upstream>
+	<maintainer type="person">
+		<email>andrewammerlaan@gentoo.org</email>
+		<name>Andrew Ammerlaan</name>
+	</maintainer>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-misc/jupyterlab-desktop/
@ 2021-11-24 22:25 Andrew Ammerlaan
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-11-24 22:25 UTC (permalink / raw
  To: gentoo-commits

commit:     ddd2ed305e2e04bf0c5e2eed434674db4a271c1a
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 24 21:36:51 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Nov 24 22:07:51 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddd2ed30

sci-misc/jupyterlab-desktop: add version 3.2.4.1

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-misc/jupyterlab-desktop/Manifest               |  1 +
 .../jupyterlab-desktop-3.2.4.1.ebuild              | 65 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/sci-misc/jupyterlab-desktop/Manifest b/sci-misc/jupyterlab-desktop/Manifest
index efabb6bc2ac6..5c41ef6268e1 100644
--- a/sci-misc/jupyterlab-desktop/Manifest
+++ b/sci-misc/jupyterlab-desktop/Manifest
@@ -1 +1,2 @@
 DIST jupyterlab-desktop-3.2.3.1.rpm 252370944 BLAKE2B 1f62fab27146a06f58464da19c6184eeeb4d358f41ba2fcad56caeb712016aad3c09ced5b993811ccb6095b7ecc3105635698429c3f8065d83205d5948abdc58 SHA512 ab2e0a167d52122f8b3933007b08f117b6ce13203b995c084f4ab3b56adbc04e38aae81d0862a9a0b2935b643ab407cf9ff2cc0f92ad69178d585590d40ad63a
+DIST jupyterlab-desktop-3.2.4.1.rpm 254701500 BLAKE2B efe593518cec942d122edd3ad58c3def25db658ae1ca8b5af05f702fd08bc8614d05f3f379323462f05a616075ccac403981645329615cc9138cea2f82100755 SHA512 ea3efea857a65b7a0e8a409dcbafcc840f924fe9fea073f127dcf31d01a86b6832803a3b67f03cd1f9968c058c792ff9d1650550a44e5cb1e77cc4ab4bf0a813

diff --git a/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.4.1.ebuild b/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.4.1.ebuild
new file mode 100644
index 000000000000..15ce362a0939
--- /dev/null
+++ b/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.4.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit rpm xdg
+
+DESCRIPTION="JupyterLab desktop application, based on Electron"
+HOMEPAGE="https://jupyter.org/"
+SRC_URI="https://github.com/jupyterlab/${PN}/releases/download/v$(ver_rs 3 -)/JupyterLab-Setup-Fedora.rpm -> ${P}.rpm"
+
+KEYWORDS="-* ~amd64"
+LICENSE="BSD MIT"
+SLOT="0"
+
+RDEPEND="
+	app-accessibility/at-spi2-atk
+	app-accessibility/at-spi2-core
+	dev-libs/atk
+	dev-libs/expat
+	dev-libs/glib
+	dev-libs/nspr
+	dev-libs/nss
+	dev-python/jupyterlab
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libxkbcommon
+	x11-libs/libXrandr
+	x11-libs/libxshmfence
+	x11-libs/pango
+"
+
+QA_PREBUILT="/opt/JupyterLab/*"
+
+S="${WORKDIR}"
+
+src_install() {
+	# remove files useless for Gentoo
+	rm -r usr/lib || die
+	mv "${S}"/* "${ED}" || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	elog ""
+	elog "On initial startup you will be prompted to select the python environment of"
+	elog "your choice. Either select a specific python version, e.g. /usr/bin/pythonX.Y,"
+	elog "or choose /usr/bin/python to follow the system wide setting in"
+	elog "/etc/python-exec/python-exec.conf."
+	elog "Please note that only python environments corresponding to the enabled"
+	elog "PYTHON_TARGETS on dev-python/jupyterlab will work."
+	elog ""
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-misc/jupyterlab-desktop/
@ 2021-11-24 22:25 Andrew Ammerlaan
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-11-24 22:25 UTC (permalink / raw
  To: gentoo-commits

commit:     86c743038ee2a48300e826bf17f9ef80c11e67d3
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 24 21:37:15 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Nov 24 22:07:51 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86c74303

sci-misc/jupyterlab-desktop: drop version 3.2.3.1

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-misc/jupyterlab-desktop/Manifest               |  1 -
 .../jupyterlab-desktop-3.2.3.1.ebuild              | 65 ----------------------
 2 files changed, 66 deletions(-)

diff --git a/sci-misc/jupyterlab-desktop/Manifest b/sci-misc/jupyterlab-desktop/Manifest
index 5c41ef6268e1..6370502461ef 100644
--- a/sci-misc/jupyterlab-desktop/Manifest
+++ b/sci-misc/jupyterlab-desktop/Manifest
@@ -1,2 +1 @@
-DIST jupyterlab-desktop-3.2.3.1.rpm 252370944 BLAKE2B 1f62fab27146a06f58464da19c6184eeeb4d358f41ba2fcad56caeb712016aad3c09ced5b993811ccb6095b7ecc3105635698429c3f8065d83205d5948abdc58 SHA512 ab2e0a167d52122f8b3933007b08f117b6ce13203b995c084f4ab3b56adbc04e38aae81d0862a9a0b2935b643ab407cf9ff2cc0f92ad69178d585590d40ad63a
 DIST jupyterlab-desktop-3.2.4.1.rpm 254701500 BLAKE2B efe593518cec942d122edd3ad58c3def25db658ae1ca8b5af05f702fd08bc8614d05f3f379323462f05a616075ccac403981645329615cc9138cea2f82100755 SHA512 ea3efea857a65b7a0e8a409dcbafcc840f924fe9fea073f127dcf31d01a86b6832803a3b67f03cd1f9968c058c792ff9d1650550a44e5cb1e77cc4ab4bf0a813

diff --git a/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.3.1.ebuild b/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.3.1.ebuild
deleted file mode 100644
index 15ce362a0939..000000000000
--- a/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.3.1.ebuild
+++ /dev/null
@@ -1,65 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit rpm xdg
-
-DESCRIPTION="JupyterLab desktop application, based on Electron"
-HOMEPAGE="https://jupyter.org/"
-SRC_URI="https://github.com/jupyterlab/${PN}/releases/download/v$(ver_rs 3 -)/JupyterLab-Setup-Fedora.rpm -> ${P}.rpm"
-
-KEYWORDS="-* ~amd64"
-LICENSE="BSD MIT"
-SLOT="0"
-
-RDEPEND="
-	app-accessibility/at-spi2-atk
-	app-accessibility/at-spi2-core
-	dev-libs/atk
-	dev-libs/expat
-	dev-libs/glib
-	dev-libs/nspr
-	dev-libs/nss
-	dev-python/jupyterlab
-	media-libs/alsa-lib
-	media-libs/mesa
-	net-print/cups
-	sys-apps/dbus
-	x11-libs/cairo
-	x11-libs/gdk-pixbuf
-	x11-libs/gtk+:3
-	x11-libs/libdrm
-	x11-libs/libX11
-	x11-libs/libxcb
-	x11-libs/libXcomposite
-	x11-libs/libXdamage
-	x11-libs/libXext
-	x11-libs/libXfixes
-	x11-libs/libxkbcommon
-	x11-libs/libXrandr
-	x11-libs/libxshmfence
-	x11-libs/pango
-"
-
-QA_PREBUILT="/opt/JupyterLab/*"
-
-S="${WORKDIR}"
-
-src_install() {
-	# remove files useless for Gentoo
-	rm -r usr/lib || die
-	mv "${S}"/* "${ED}" || die
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	elog ""
-	elog "On initial startup you will be prompted to select the python environment of"
-	elog "your choice. Either select a specific python version, e.g. /usr/bin/pythonX.Y,"
-	elog "or choose /usr/bin/python to follow the system wide setting in"
-	elog "/etc/python-exec/python-exec.conf."
-	elog "Please note that only python environments corresponding to the enabled"
-	elog "PYTHON_TARGETS on dev-python/jupyterlab will work."
-	elog ""
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-misc/jupyterlab-desktop/
@ 2021-11-28 12:06 Andrew Ammerlaan
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-11-28 12:06 UTC (permalink / raw
  To: gentoo-commits

commit:     5939f8feccd8d6c228b102c39243a1c2dce0d8c2
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 28 11:53:09 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sun Nov 28 12:06:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5939f8fe

sci-misc/jupyterlab-desktop: add version 3.2.4.3

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-misc/jupyterlab-desktop/Manifest               |  1 +
 .../jupyterlab-desktop-3.2.4.3.ebuild              | 65 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/sci-misc/jupyterlab-desktop/Manifest b/sci-misc/jupyterlab-desktop/Manifest
index 6370502461ef..d213465370f2 100644
--- a/sci-misc/jupyterlab-desktop/Manifest
+++ b/sci-misc/jupyterlab-desktop/Manifest
@@ -1 +1,2 @@
 DIST jupyterlab-desktop-3.2.4.1.rpm 254701500 BLAKE2B efe593518cec942d122edd3ad58c3def25db658ae1ca8b5af05f702fd08bc8614d05f3f379323462f05a616075ccac403981645329615cc9138cea2f82100755 SHA512 ea3efea857a65b7a0e8a409dcbafcc840f924fe9fea073f127dcf31d01a86b6832803a3b67f03cd1f9968c058c792ff9d1650550a44e5cb1e77cc4ab4bf0a813
+DIST jupyterlab-desktop-3.2.4.3.rpm 269019824 BLAKE2B cc4acde522b3cab06e1d4b26ed21352cb20396e766c71da889fb19fae52af0df7c8acd4e9b91083ab944995fdc2f3acf3af28c7320e0da951505ea75e2c70b63 SHA512 6eb5220e149cd2f61cbaf35e377bdd02fefa292eb0145936da6d7b875f68779a47f5a99be12bf57b44840f6b5bdfd3e9923bf0947cbe3c2e155cd5f5e2c64317

diff --git a/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.4.3.ebuild b/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.4.3.ebuild
new file mode 100644
index 000000000000..15ce362a0939
--- /dev/null
+++ b/sci-misc/jupyterlab-desktop/jupyterlab-desktop-3.2.4.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit rpm xdg
+
+DESCRIPTION="JupyterLab desktop application, based on Electron"
+HOMEPAGE="https://jupyter.org/"
+SRC_URI="https://github.com/jupyterlab/${PN}/releases/download/v$(ver_rs 3 -)/JupyterLab-Setup-Fedora.rpm -> ${P}.rpm"
+
+KEYWORDS="-* ~amd64"
+LICENSE="BSD MIT"
+SLOT="0"
+
+RDEPEND="
+	app-accessibility/at-spi2-atk
+	app-accessibility/at-spi2-core
+	dev-libs/atk
+	dev-libs/expat
+	dev-libs/glib
+	dev-libs/nspr
+	dev-libs/nss
+	dev-python/jupyterlab
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libxkbcommon
+	x11-libs/libXrandr
+	x11-libs/libxshmfence
+	x11-libs/pango
+"
+
+QA_PREBUILT="/opt/JupyterLab/*"
+
+S="${WORKDIR}"
+
+src_install() {
+	# remove files useless for Gentoo
+	rm -r usr/lib || die
+	mv "${S}"/* "${ED}" || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	elog ""
+	elog "On initial startup you will be prompted to select the python environment of"
+	elog "your choice. Either select a specific python version, e.g. /usr/bin/pythonX.Y,"
+	elog "or choose /usr/bin/python to follow the system wide setting in"
+	elog "/etc/python-exec/python-exec.conf."
+	elog "Please note that only python environments corresponding to the enabled"
+	elog "PYTHON_TARGETS on dev-python/jupyterlab will work."
+	elog ""
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-11-28 12:06 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-11-28 12:06 [gentoo-commits] repo/gentoo:master commit in: sci-misc/jupyterlab-desktop/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2021-11-24 22:25 Andrew Ammerlaan
2021-11-24 22:25 Andrew Ammerlaan
2021-11-16  9:09 Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox